
Redmine - Defect #6890

Need to edit lib/redmine/scm/adapters/mercurial_adapter.rb on some servers

2010-11-15 03:01 - Sam Kuper

Status: Closed Start date: 2010-11-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.0.2

Description

I've been advised to report this as a bug by Ammler on the Redmine IRC.

In order to get Redmine to show Mercurial repositories, it is sometimes necessary to edit

lib/redmine/scm/adapters/mercurial_adapter.rb as described here:

http://wiki.dreamhost.com/Redmine#Fixing_the_problems_in_browsing_a_Mercurial_repository

Apparently this is brittle, as lib/redmine/scm/adapters/mercurial_adapter.rb may be overwritten during Redmine upgrades.

In my own case, I've found that on Dreamhost, if I don't make the edit to lib/redmine/scm/adapters/mercurial_adapter.rb , then when I

go to the "Repository" tab for my project in Redmine, I get an error that, "The entry or revision was not found in the repository."

History

#1 - 2011-01-04 05:46 - Toshi MARUYAMA

- Category set to SCM

#2 - 2011-02-04 12:58 - Toshi MARUYAMA

- Status changed from New to Closed

Svn trunk r4795 adds a feature of configurable path of executable for scm adapters (#7517).
